/*
 *  Licensed Materials - Property of IBM
 *  5725-G92 (C) Copyright IBM Corp. 2011, 2012. All Rights Reserved.
 *  US Government Users Restricted Rights - Use, duplication or
 *  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */

define(["dojo/dom", "dojo/on"],
  function(dom, on) {
    //-------------------------------------------------------------------------
    // Camera 
    //-------------------------------------------------------------------------

    /**
     * Capture picture
     */
    function takePicture() {
        
        navigator.camera.getPicture(
            function(data) {
                var img = dom.byId('camera_image');
                img.style.visibility = "visible";
                img.style.display = "block";
                //img.src = "data:image/jpeg;base64," + data;
                img.src = data;
                dom.byId('camera_status').innerHTML = "Success";
            },
            function(e) {
                console.log("Error getting picture: " + e);
                dom.byId('camera_status').innerHTML = e;
                dom.byId('camera_image').style.display = "none";
            },
            { quality: 50, destinationType: navigator.camera.DestinationType.FILE_URI, sourceType : navigator.camera.PictureSourceType.CAMERA});
    };

    /**
     * Select image from library
     */
    function getImage() {
        navigator.camera.getPicture(
            function(data) {
                var img = dom.byId('camera_image');
                img.style.visibility = "visible";
                img.style.display = "block";
                //img.src = "data:image/jpeg;base64," + data;
                img.src = data;
                dom.byId('camera_status').innerHTML = "Success";
            },
            function(e) {
                console.log("Error getting picture: " + e);
                dom.byId('camera_status').innerHTML = e;
                dom.byId('camera_image').style.display = "none";
            },
            { quality: 50, destinationType: navigator.camera.DestinationType.FILE_URI, sourceType: navigator.camera.PictureSourceType.PHOTOLIBRARY});
    };
	
	return {
		init: function() {
			console.log("initializeCameraControls()");
			on(dom.byId("takePictureBtn"), "click", takePicture);
			on(dom.byId("getImageBtn"), "click", getImage);
		}
	};
});
