/*
 *  Licensed Materials - Property of IBM
 *  5725-G92 (C) Copyright IBM Corp. 2011, 2012. All Rights Reserved.
 *  US Government Users Restricted Rights - Use, duplication or
 *  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */

define(["dojo/dom", "dojo/on", "dojo/has"],
  function(dom, on, has) {

    //-------------------------------------------------------------------------
    // Event Intercepts
    //-------------------------------------------------------------------------
	
	function interceptBackbutton() {
    	eventOutput("Back button intercepted");
    }
    function interceptMenubutton() {
    	eventOutput("Menu button intercepted");
    }
    function interceptSearchbutton() {
    	eventOutput("Search button intercepted");
    }
    
    var eventOutput = function(s) {
		var el = dom.byId("results");
		el.innerHTML = el.innerHTML + s + "<br>";
    };
	
	return {
		init: function() {
			console.log("initializeEventControls()");
            if (has("ios")){
                eventOutput("Not supported on iOS!");
                dom.byId("enableBackInterceptBtn").setAttribute('disabled', true);
                dom.byId("disableBackInterceptBtn").setAttribute('disabled', true);
                dom.byId("enableMenuInterceptBtn").setAttribute('disabled', true);
                dom.byId("disableMenuInterceptBtn").setAttribute('disabled', true);
                dom.byId("enableSearchInterceptBtn").setAttribute('disabled', true);
                dom.byId("disableSearchInterceptBtn").setAttribute('disabled', true);  
            }else {
                on(dom.byId("enableBackInterceptBtn"), "click", function() {document.addEventListener('backbutton', interceptBackbutton, false);});
                on(dom.byId("disableBackInterceptBtn"), "click", function() {document.removeEventListener('backbutton', interceptBackbutton, false);});
                on(dom.byId("enableMenuInterceptBtn"), "click", function() {document.addEventListener('menubutton', interceptMenubutton, false);});
                on(dom.byId("disableMenuInterceptBtn"), "click", function() {document.removeEventListener('menubutton', interceptMenubutton, false);});
                on(dom.byId("enableSearchInterceptBtn"), "click", function() {document.addEventListener('searchbutton', interceptSearchbutton, false);});
                on(dom.byId("disableSearchInterceptBtn"), "click", function() {document.removeEventListener('searchbutton', interceptSearchbutton, false);});
            }
		}
	};
});
